# Class NotActiveException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.io.ObjectStreamException
java.io.NotActiveException

All Implemented Interfaces:
  `Serializable`

public class NotActiveException extends ObjectStreamException
Thrown when serialization or deserialization is not active.

Since:
  1.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NotActiveException()`
  Constructor to create a new NotActiveException without a reason.
  `NotActiveException(String reason)`
  Constructor to create a new NotActiveException with the reason given.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NotActiveException

    public NotActiveException(String reason)
    Constructor to create a new NotActiveException with the reason given.
    Parameters:
      `reason` - a String describing the reason for the exception.

  - ### NotActiveException

    public NotActiveException()
    Constructor to create a new NotActiveException without a reason.